### Method

# Clutter Timeline get_step_progress

#### Declaration [src]

    gboolean
    clutter_timeline_get_step_progress (
      ClutterTimeline* timeline,
      gint* n_steps,
      ClutterStepMode* step_mode
    )

#### Description [src]

Retrieves the parameters of the step progress mode used by `timeline`.

#### Parameters

`n_steps`

  Type: `gint*`

  Return location for the number of steps, or `NULL`.

  The argument will be set by the function.

`step_mode`

  Type: `ClutterStepMode`

  Return location for the value change policy, or `NULL`.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the `timeline` is using a step progress mode, and `FALSE` otherwise.